package com.cool.store.service.fees;

import com.cool.store.request.fees.PayeeBankConfigAddRequest;
import com.cool.store.request.fees.PayeeBankConfigPageRequest;
import com.cool.store.vo.fees.PayeeBankConfigVO;
import com.github.pagehelper.PageInfo;

/**
 * 线下收款银行配置Service
 */
public interface PayeeBankConfigService {

    Boolean add(PayeeBankConfigAddRequest request);

    Boolean update(PayeeBankConfigAddRequest request);

    PageInfo<PayeeBankConfigVO> page(PayeeBankConfigPageRequest request);

    /**
     * 根据门店id查询线下收款银行配置
     * @param shopId 门店id
     * @param payType 支付方式
     * @return 线下收款银行配置VO
     */
    PayeeBankConfigVO getByShopId(Long shopId, Integer payType);
}


